import { html as l } from "lit";
import { property as a } from "lit/decorators.js";
import { PieIconComponent as g } from "./PieIconComponent.js";
import { safeCustomElement as h } from "@justeattakeaway/pie-webc-core";
var f = Object.defineProperty, m = Object.getOwnPropertyDescriptor, n = (i, t, c, r) => {
  for (var e = r > 1 ? void 0 : r ? m(t, c) : t, o = i.length - 1, p; o >= 0; o--)
    (p = i[o]) && (e = (r ? p(t, c, e) : p(e)) || e);
  return r && e && f(t, c, e), e;
};
let s = class extends g {
  constructor() {
    super(...arguments), this.size = 32, this.defaultClasses = "c-pieIcon c-pieIcon--percentageLarge", this.class = "c-pieIcon c-pieIcon--percentageLarge", this.name = "IconPercentageLarge";
  }
  render() {
    return l`<svg width="${this._svgWidth}" height="${this._svgHeight}" fill="${this.fill}" xmlns="http://www.w3.org/2000/svg" role="presentation" focusable="false" fill="currentColor" viewBox="0 0 32 32" class="c-pieIcon c-pieIcon--percentageLarge"><path d="M23 16c-3.001 0-4.375 2.494-4.375 4.813s1.374 4.812 4.375 4.812 4.375-2.494 4.375-4.812C27.375 18.493 26.01 16 23 16m0 7.875c-2.555 0-2.625-2.747-2.625-3.062 0-.316.07-3.063 2.625-3.063s2.625 2.747 2.625 3.063c0 .315-.07 3.062-2.625 3.062"></path><path d="M22.16 6.375 7.766 25.625h2.188l14.394-19.25z"></path><path d="M9 16c3.01 0 4.375-2.494 4.375-4.812 0-2.32-1.365-4.813-4.375-4.813s-4.375 2.494-4.375 4.813S5.999 16 9 16m0-7.875c2.555 0 2.625 2.748 2.625 3.063S11.555 14.25 9 14.25s-2.625-2.748-2.625-3.062c0-.316.07-3.063 2.625-3.063"></path></svg>`;
  }
};
n([
  a({ type: String, reflect: !0 })
], s.prototype, "size", 2);
n([
  a({ type: String, reflect: !0 })
], s.prototype, "class", 2);
s = n([
  h("icon-percentage-large")
], s);
export {
  s as IconPercentageLarge
};
